config/routes.rb
Rails.application.routes.draw do
  devise_for :users
  root 'home#index'

  resources :users, only: [:show] do
  	get 'shared_projects', on: :member
	  resources :projects, only: [:index, :new, :create]
    resources :trashes, only: [:index]
    resources :notifications, only: [:index, :destroy]
  end

  resources :projects, only: [:show, :edit, :update, :destroy] do
  	resources :tasks, only: [:new, :create, :index]
  	resources :contributors, only: [:new, :create, :index, :destroy]

    resources :links, only: [:new, :create] do
      get 'unlink', on: :member
    end

    resources :trashes, only: [:create] do
      collection { post 'restore', to: 'trashes#restore' }
    end
  end

  resources :tasks, only: [:edit, :update, :show] do
    resources :assignees, only: [:new, :create]
    post 'start', to: 'task_states#start'
    post 'ready', to: 'task_states#ready'
    post 'finish', to: 'task_states#finish'
    post 'accept', to: 'task_states#accept'
    post 'schedule', to: 'task_states#schedule'
    post 'stop', to: 'task_states#stop'
    post 'continue', to: 'task_states#continue'
    post 'verify', to: 'task_states#verify'
    post 'reject', to: 'task_states#reject'
    post 'discard', to: 'task_states#discard'
  end

  resources :links, only: [:destroy]
end

app/models/notification.rb
class Notification < ActiveRecord::Base
  validates :description, presence: true
  validates :notification_type, presence: true

  belongs_to :project
  belongs_to :user
  belongs_to :task
end

app/controllers/notifications_controller.rb
class NotificationsController < ApplicationController
  layout 'logged_layout'

  def index
    find_notifications
  end

  def destroy
    @notification = Notification.find(params[:id])

    @notification.update_attributes!(seen: true)

    redirect_to action: 'index'
  end
end

app/views/notifications/index.html.erb
<div class="container">
  <% @notifications.each do |notification| %>
    <div class="notification">
      <div class="row <%= notification.notification_type %>">
        <div class="col-md-11 col-sm-10 col-xs-10">
          <h3><%= t("notification.#{notification.notification_type}.title") %></h3>
          <p><%= notification.description %></p>
        </div>
        <div class="col-md-1 col-sm-2 col-xs-2">
          <%= button_to user_notification_path(current_user, notification),
                method: :delete,
                id: 'dismiss',
                class: 'btn btn-link' do %>
            <span class="glyphicon glyphicon-remove"></span>
          <% end %>
        </div>
      </div>
    </div>
  <% end %>
</div>